from django.db import models
from django.contrib.auth.models import User
from django.utils.translation import gettext_lazy as _
# Create your models here.

class Profile(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE, unique=True)
    credit = models.IntegerField(default=0)

class Category(models.Model):
    name = models.CharField(max_length=100)

    def __str__(self):
        return self.name


class Product(models.Model):
    # user_id = models.ForeignKey(CustomUser, on_delete=models.CASCADE)
    # category_id = models.ForeignKey(Category, on_delete=models.CASCADE)
    image = models.ImageField(upload_to="products/")
    price = models.DecimalField(max_digits=5, decimal_places=2, null=True)
    rent_price = models.DecimalField(max_digits=5, decimal_places=2, null=True)
    name = models.CharField(max_length=200)
    size = models.CharField(max_length=50)


    def __str__(self):
        return self.name



#    CATEGORY_CHOICES = [
#        "Christmas", 
#        "Halloween", 
#        "College",
#        "Easter",
#        "Disco",
#        "Afterski",
#        "Whiteparty",
#        "Bachelor",
#        "Ice hockey",
#        "Football",
#        "Valentines Day",
#        "Hawaii",
#        "Vacation",
#        "Kräftskiva",
#        "Midsommar",
#        "October fest"
#    ]